Bug 254205 - archivers/bzip2: update to 1.0.8
Summary: archivers/bzip2: update to 1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-03-10 20:18 UTC by Steve Wills
Modified: 2021-03-13 01:57 UTC (History)
3 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
patch to update port (808 bytes, patch)
2021-03-10 20:18 UTC, Steve Wills
jharris: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2021-03-10 20:18:48 UTC
Created attachment 223172 [details]
patch to update port
Comment 1 Automation User 2021-03-10 20:37:46 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/268520724
Comment 2 Fernando Apesteguía freebsd_committer 2021-03-11 09:00:38 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 3 jharris 2021-03-12 00:01:19 UTC
Approved, albeit without personally testing.  Thanks!
Comment 4 commit-hook freebsd_committer 2021-03-12 23:38:13 UTC
A commit references this bug:

Author: swills
Date: Fri Mar 12 23:37:11 UTC 2021
New revision: 568214
URL: https://svnweb.freebsd.org/changeset/ports/568214

Log:
  archivers/bzip2: update to 1.0.8

  PR:		254205
  Approved by:	jharris@widomaker.com (maintainer)

Changes:
  head/archivers/bzip2/Makefile
  head/archivers/bzip2/distinfo
Comment 5 Xin LI freebsd_committer 2021-03-13 01:57:41 UTC
I think this port should be removed.

We have bundled bzip2 in the base system for almost two decades, and
there is no port depending on it.  The port system expects
/usr/bin/bzip2 and expects base system tar to recognize it, and bzip2
1.0.7 introduced a quite visible regression, the fact that we have it
for 2 years suggests that there is no real users of it at all...